#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
  #include <avr/power.h>
#endif

#define PIN 6

// Parameter 1 = number of pixels in strip
// Parameter 2 = Arduino pin number (most are valid)
// Parameter 3 = pixel type flags, add together as needed:
//   NEO_KHZ800  800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)
//   NEO_KHZ400  400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)
//   NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)
//   NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)
Adafruit_NeoPixel strip = Adafruit_NeoPixel(24, PIN, NEO_GRB + NEO_KHZ800);

// IMPORTANT: To reduce NeoPixel burnout risk, add 1000 uF capacitor across
// pixel power leads, add 300 - 500 Ohm resistor on first pixel's data input
// and minimize distance between Arduino and first pixel.  Avoid connecting
// on a live circuit...if you must, connect GND first.

void setup() {
  // This is for Trinket 5V 16MHz, you can remove these three lines if you are not using a Trinket
  //#if defined (__AVR_ATtiny85__)
  //  if (F_CPU == 16000000) clock_prescale_set(clock_div_1);
  //#endif
  // End of trinket special code


  strip.begin();
  strip.show(); // Initialize all pixels to 'off'
}

void loop() {

uint32_t R = strip.Color(250, 50, 0);
uint32_t G = strip.Color(30, 160, 0);
uint32_t B = strip.Color(0, 0, 255);
uint32_t W = strip.Color(255, 255, 255);

  
strip.setPixelColor(0,W);
strip.setPixelColor(1,W);
strip.setPixelColor(2,W);
strip.setPixelColor(3,W);
strip.setPixelColor(4,W);
strip.setPixelColor(5,W);
strip.setPixelColor(6,R);
strip.setPixelColor(7,R);
strip.setPixelColor(8,R);
strip.setPixelColor(9,R);
strip.setPixelColor(10,R);
strip.setPixelColor(11,R);
strip.setPixelColor(12,G);
strip.setPixelColor(13,G);
strip.setPixelColor(14,G);
strip.setPixelColor(15,G);
strip.setPixelColor(16,G);
strip.setPixelColor(17,G);
strip.setPixelColor(18,B);
strip.setPixelColor(19,B);
strip.setPixelColor(20,B);
strip.setPixelColor(21,B);
strip.setPixelColor(22,B);
strip.setPixelColor(23,B);



strip.show();                // Update all LEDs (= make LED 10 red)
}
